# Generated from knife-azure-4.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name knife-azure

Name: rubygem-%{gem_name}
Version: 4.0.0
Release: 1%{?dist}
Summary: A plugin to the Chef Infra knife tool for creating instances on the Microsoft Azure platform
License: Apache 2.0
URL: https://github.com/chef/knife-azure
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7
BuildArch: noarch

%description
A plugin to the Chef Infra knife tool for creating instances on the Microsoft
Azure platform.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Sep 13 2021 mockbuilder - 4.0.0-1
- Initial package
